diff --git a/build_ff_win32.sh b/build_ff_win32.sh
index fa3f069..c841dad 100644
--- a/build_ff_win32.sh
+++ b/build_ff_win32.sh
@@ -17,6 +17,7 @@ make distclean
 OPTIONS="
 --enable-shared \
 --enable-gpl \
+--enable-version2 \
 --enable-pthreads \
 --enable-runtime-cpudetect \
 --enable-asm \
diff --git a/common/includes/moreuuids.h b/common/includes/moreuuids.h
index 0e85da3..c2832f6 100644
--- a/common/includes/moreuuids.h
+++ b/common/includes/moreuuids.h
@@ -1150,9 +1150,26 @@ DEFINE_GUID(MEDIASUBTYPE_ZLIB,
 DEFINE_GUID(MEDIASUBTYPE_PNG,
       0x20676E70, 0x0000, 0x0010, 0x80, 0x00, 0x00, 0xAA, 0x00, 0x38, 0x9B, 0x71);
 
+// Flash Screen Video
 DEFINE_GUID(MEDIASUBTYPE_FSV1,
       0x31565346, 0x0000, 0x0010, 0x80, 0x00, 0x00, 0xAA, 0x00, 0x38, 0x9B, 0x71);
 
+// Apple ProRes
+DEFINE_GUID(MEDIASUBTYPE_apch,
+      0x68637061, 0x0000, 0x0010, 0x80, 0x00, 0x00, 0xAA, 0x00, 0x38, 0x9B, 0x71);
+
+DEFINE_GUID(MEDIASUBTYPE_apcn,
+      0x6e637061, 0x0000, 0x0010, 0x80, 0x00, 0x00, 0xAA, 0x00, 0x38, 0x9B, 0x71);
+
+DEFINE_GUID(MEDIASUBTYPE_apcs,
+      0x73637061, 0x0000, 0x0010, 0x80, 0x00, 0x00, 0xAA, 0x00, 0x38, 0x9B, 0x71);
+
+DEFINE_GUID(MEDIASUBTYPE_apco,
+      0x6f637061, 0x0000, 0x0010, 0x80, 0x00, 0x00, 0xAA, 0x00, 0x38, 0x9B, 0x71);
+
+DEFINE_GUID(MEDIASUBTYPE_ap4h,
+      0x68347061, 0x0000, 0x0010, 0x80, 0x00, 0x00, 0xAA, 0x00, 0x38, 0x9B, 0x71);
+
 // Audio codecs
 
 // WMA
diff --git a/decoder/LAVVideo/Media.cpp b/decoder/LAVVideo/Media.cpp
index 687c302..81ff187 100644
--- a/decoder/LAVVideo/Media.cpp
+++ b/decoder/LAVVideo/Media.cpp
@@ -168,6 +168,11 @@ FFMPEG_SUBTYPE_MAP lavc_video_codecs[] = {
   { &MEDIASUBTYPE_PNG, CODEC_ID_PNG },
   { &MEDIASUBTYPE_FSV1, CODEC_ID_FLASHSV },
   { &MEDIASUBTYPE_PCM, CODEC_ID_MSRLE }, // Yeah, PCM. Its the same FourCC as used the MS-RLE
+  { &MEDIASUBTYPE_apch, CODEC_ID_PRORES },
+  { &MEDIASUBTYPE_apcn, CODEC_ID_PRORES },
+  { &MEDIASUBTYPE_apcs, CODEC_ID_PRORES },
+  { &MEDIASUBTYPE_apco, CODEC_ID_PRORES },
+  { &MEDIASUBTYPE_ap4h, CODEC_ID_PRORES },
 
   // Game Formats
   { &MEDIASUBTYPE_BIKI, CODEC_ID_BINKVIDEO },
@@ -313,6 +318,11 @@ const AMOVIESETUP_MEDIATYPE CLAVVideo::sudPinTypesIn[] = {
   { &MEDIATYPE_Video, &MEDIASUBTYPE_PNG  },
   { &MEDIATYPE_Video, &MEDIASUBTYPE_FSV1  },
   { &MEDIATYPE_Video, &MEDIASUBTYPE_PCM }, // Yeah, PCM. Its the same FourCC as used the MS-RLE
+  { &MEDIATYPE_Video, &MEDIASUBTYPE_apch  },
+  { &MEDIATYPE_Video, &MEDIASUBTYPE_apcn  },
+  { &MEDIATYPE_Video, &MEDIASUBTYPE_apcs  },
+  { &MEDIATYPE_Video, &MEDIASUBTYPE_apco  },
+  { &MEDIATYPE_Video, &MEDIASUBTYPE_ap4h  },
 
   // Game Formats
   { &MEDIATYPE_Video, &MEDIASUBTYPE_BIKI },
